package com.bonus.canteen.core.allocation.canteen.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("修改餐次 启用状态DTO")
public class ModifyMealtimeUseDTO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("餐次类型")
   private @NotNull(
   message = "餐次类型 不能为空"
) Integer mealtimeType;
   @ApiModelProperty("是否启用")
   private @NotNull(
   message = "是否启用 不能为空"
) Integer ifUse;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getIfUse() {
      return this.ifUse;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setIfUse(final Integer ifUse) {
      this.ifUse = ifUse;
   }
}
